Subject: Re: bug#50152: Weird characters (eg: â\200\220) are displayed when browsing man pages in Emacs

From: Jehu Amanna <[email-masked]>
Date: Sat, 21 Aug 2021 22:46:06 +0530

I hadn't rebooted my system for a long time and I just did. The issue is
gone and the man pages are displayed properly when  loaded with
configurations. I do not know why such difference.

I appreciate for taking time and effort in fixing this.

On Sat, 21 Aug, 2021, 10:38 pm Jehu Amanna, <[email-masked]> wrote:

> Ok, I'll check it out.  Not sure where the problem is.
>
> On Sat, 21 Aug, 2021, 10:29 pm Eli Zaretskii, <[email-masked]> wrote:
>
>> > From: Jehu Amanna <[email-masked]>
>> > Date: Sat, 21 Aug 2021 17:37:24 +0530
>> >
>> > Vist the man page in this following order : C-x RET c utf-8 RET M-x man
>> RET memset RET
>> >
>> > The following is the output:
>> >
>> > MEMSET(3)                  Linux Programmer's Manual
>>  MEMSET(3)
>> >
>> > NAME
>> >        memset - fill memory with a constant byte
>> >
>> > SYNOPSIS
>> >        #include <string.h>
>> >
>> >        void *memset(void *s, int c, size_t n);
>> >
>> > DESCRIPTION
>> >        The  memset()  function  fills  the  first  n  bytes of the
>> memory area
>> >        pointed to by s with the constant byte c.
>> >
>> > RETURN VALUE
>> >        The memset() function returns a pointer to the memory area s.
>> >
>> > ATTRIBUTES
>> >        For an  explanation  of  the  terms  used  in  this  section,
>> see  atâ€â€
>> >        tributes(7).
>>
>> It's very strange, because I cannot reproduce the problem on my
>> system, with UTF-8 encoded man pages, although my system's
>> locale-coding-system is also iso-latin-1.  When I override the default
>> encoding with "C-x RET c", the man pages are displayed correctly.
>>
>> From the screenshot you sent, I see that it was taken not in "emacs -Q",
>> but on Reddit you said that "emacs -Q" shows the same problem?
>>
>